# Enum ARPlane.Type

java.lang.Object
java.lang.Enum<ARPlane.Type>
com.codename1.ar.ARPlane.Type

All Implemented Interfaces:
  `Comparable<ARPlane.Type>`

Enclosing class:
  `ARPlane`

public static enum ARPlane.Type extends Enum<ARPlane.Type>
The orientation of a detected plane.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HORIZONTAL_DOWN`
  A horizontal, downward-facing surface such as a ceiling.
  `HORIZONTAL_UP`
  A horizontal, upward-facing surface such as a floor or table top.
  `VERTICAL`
  A vertical surface such as a wall.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ARPlane.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ARPlane.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HORIZONTAL_UP

    public static final ARPlane.Type HORIZONTAL_UP
    A horizontal, upward-facing surface such as a floor or table top.

  - ### HORIZONTAL_DOWN

    public static final ARPlane.Type HORIZONTAL_DOWN
    A horizontal, downward-facing surface such as a ceiling.

  - ### VERTICAL

    public static final ARPlane.Type VERTICAL
    A vertical surface such as a wall.

- ## Method Details

  - ### values

    public static ARPlane.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ARPlane.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null